Bug 485679 - Unable to configure or use wireless card.
Unable to configure or use wireless card.
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: system-config-network (Show other bugs)
10
i386 Linux
low Severity medium
: ---
: ---
Assigned To: Harald Hoyer
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-02-16 02:51 EST by pan-chan
Modified: 2009-12-18 02:55 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-12-18 02:55:45 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
picture of error screen when booting. (2.81 MB, image/jpeg)
2009-02-16 02:51 EST, pan-chan
no flags Details

  None (edit)
Description pan-chan 2009-02-16 02:51:32 EST
Created attachment 332008 [details]
picture of error screen when booting.

Description of problem:
Using a D-Link Air DWL-650 Rev. P Wireless pcmcia card in Fedora 10 causes error screen upon boot, and does not function if inserted later. Card shows up in the network device control program, however is marked as inactive, attempting to activate by terminal yields an error that it is unable to assign it an address.
configuring the device in the network device control program provides a crash dump file.

Version-Release number of selected component (if applicable):
(Taken from crash dump file)
Component: system-config-network
Version: 1.5.95
Summary: TBf8f4a16f NCDevice.py:177:getDialog:TypeError: exceptions must be classes, instances, or strings (deprecated), not NotImplementedType


How reproducible:
Error shows up when attempting to configure device in network device control applet, accessible via System->Administration->Network Device Control

Steps to Reproduce:
1.Go to previously mentioned applet.
2.Select device, (wlan0)
3.Select configure (error pops up)
  
Actual results:
Unable to configure or enable device.

Expected results:
Ability to configure and enable device.

Additional info:
Bug found while using an IBM Thinkpad T40 Laptop.

Full crash dump:

Component: system-config-network
Version: 1.5.95
Summary: TBf8f4a16f NCDevice.py:177:getDialog:TypeError: exceptions must be classes, instances, or strings (deprecated), not NotImplementedType

Traceback (most recent call last):
  File "/usr/share/system-config-network/netconfpkg/gui/GUI_functions.py", line 152, in on_generic_clist_button_release_event
    func()
  File "/usr/share/system-config-network/netconfpkg/gui/maindialog.py", line 922, in on_deviceEditButton_clicked
    button = self.editDevice(device)
  File "/usr/share/system-config-network/netconfpkg/gui/maindialog.py", line 950, in editDevice
    dialog = device.getDialog()
  File "/usr/share/system-config-network/netconfpkg/NCDevice.py", line 177, in getDialog
    raise NotImplemented
TypeError: exceptions must be classes, instances, or strings (deprecated), not NotImplementedType

Local variables in innermost frame:
self: Device.AllowUser=False
Device.BootProto=dhcp
Device.Device=pan0
Device.DeviceId=pan0
Device.HardwareAddress=4e:47:4d:72:47:fb
Device.IPv6Init=False
Device.OnBoot=False
Device.Type=Unknown
Comment 1 Bug Zapper 2009-11-18 06:07:00 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 Bug Zapper 2009-12-18 02:55:45 EST
Fedora 10 changed to end-of-life (EOL) status on 2009-12-17. Fedora 10 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.